Subject: RE: Setting cygdrive prefix to '/' causes disappearing mounts
From: Bernard Dautrevaux <[email-masked]>
To: "[email-masked]'" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 19 Sep 2000 10:02:15 +0200

> -----Original Message-----
> From: Chris Faylor [mailto:[email-masked]]
> Sent: Monday, September 18, 2000 8:29 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Setting cygdrive prefix to '/' causes disappearing mounts
> 
> 
> On Tue, Sep 19, 2000 at 03:26:27AM +0900, Kazuhiro Fujieda wrote:
> >>>> On Fri, 15 Sep 2000 13:30:27 -0400 (EDT)
> >>>> David Condon <[email-masked]> said:
> >
> >> I have been experiencing a problem in which everything in the mount
> >> table disappears. This happens when any program using the 
> Cygwin DLL
> >> is executed. With Regedit open, I can see that the keys 
> containing the
> >> mount points disappear.
> >
> >I've fixed this problem in the development sources.  I've
> >eliminated the code deleting mount entries of which posix paths
> >have the cygdrive prefix. This fix will appear in the next release.
> 
> Thanks very much for doing this.  It is much appreciated.
> 
> This should also be in the next snapshot.
> 

I don't really understand what's the matter exactly here; as I've
understood, the cygdrive prefix was set as "/cygdrive", so that "a:" is
available as "/cygdrive/a". Setting the cygdrive prefix as "/" should give
"a:" available as "//a", so that should *not* erase "/bin" as bin is not a
subdirectory of the virtual /<empty> subdirectory of "/" but a subdirectory
of "/" itself.

I think the matching code is wrong; what should probably be avoided is
either setting the cygdrive prefix to "", or to "/.", because then /bin
would be under cygdrive, but setting the cygdrive prefix to "/" should *not*
cause problems for "/bin"; it could however cause problems with an UNC path
to machine "X", as //X/ will try to access the local X: drive, and that's
why the convention was changed to use (user-changeable) "/cygdrive/" prefix
instead of "//".

I'm just not sure this patch will not cause new kinds of problem; I think
fixing the matching code would be better: it should check for mount points
named <cygdrive prefix>/something, not "<cygdrive prefix>something", and
avoid collapsing multiple leading "/".

Just my 2c,

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Send a message to [email-masked]